Skip to navigation

How to get elastic template responses

View as Markdown

This topic demonstrates how to use the Click API to get user responses to your elastic signing agreements.

Run this code example from our Quickstart or launcher projects: Bash, C#, Java, Node.js, PHP, PowerShell, Python, or Ruby.

Required data

Running the code in this how-to requires this data:

Data elementDescription
{API_ACCOUNT_ID}A GUID value that identifies your account. This value is automatically generated by Docusign for any account you create. Copy the value from the API Account ID field on the Apps and Keys page.
{BASE_PATH}A string value that forms the root of the URL required to make API calls. The base path value in the example code is set to target the developer environment at
https://<domain>/clickapi
Where <domain> is demo.docusign.net for the developer environment and is the result of the GetUserInfo call in production.
{CLICKWRAP_ID}A GUID value that identifies an individual elastic template. You can obtain this value by following the steps in How to get a list of elastic templates.

Step 1. Obtain your OAuth token

To make the API call shown in this how-to, you need a valid OAuth access token. Docusign supports access tokens for three different recommended OAuth grant types: Public Authorization Code Grant, Confidential Authorization Code Grant, and JSON Web Token (JWT) Grant. Choose the OAuth grant type appropriate for your scenario.

See Authentication for guidance on your options to get an OAuth token.

Three icons that represent the three methods a user can use to obtain an OAuth token: JSON Web Token (JWT), Public Authorization Code Grant (ACG), and Confidential Authorization Code grant

Step 2. Construct your API headers

After you have a valid OAuth access token, you are ready to construct the API headers that you will pass to the API call. Construct your headers like this, but make sure to substitute your valid OAuth access token for {ACCESS_TOKEN}.

declare -a Headers=('--header' "Authorization: Bearer ${ACCESS_TOKEN}"
'--header' "Accept: application/json")

Step 3. Call the Click API

Now that you have constructed your API headers, make a call to the Clickwraps:getClickwrapAgreements endpoint to retrieve the user agreements for a specified elastic template. Here’s how you make the call, but make sure to substitute your API account ID for {ACCOUNT_ID} and a specific elastic template ID for {CLICKWRAP_ID}.

Note: For compatibility with previous versions of the Click API, elastic templates use clickwrap endpoints.

View the source code for this how-to on GitHub: Bash, C#, Java, Node.js, PHP, PowerShell, Python, or Ruby.

curl --request GET https://demo.docusign.net/clickapi/v1/accounts/${account_id}/clickwraps/${clickwrap_id}/users \
"${Headers[@]}" \
--output ${response}

Expected response

If you run this code example from our Quickstart or launcher projects, you should see a JSON response similar to the code shown.

Sample response
{
"userAgreements": [
{
"accountId": "a56df5fc-xxxx-xxxx-xxxx-f64dc8ab421e",
"clickwrapId": "66a85a21-xxxx-xxxx-xxxx-6f9dd48c8483",
"clientUserId": "anyemail@anyemail.com",
"agreementId": "df5c1dce-xxxx-xxxx-xxxx-196603857d52",
"documents": [],
"createdOn": "2020-08-05T19:34:23.676744Z",
"agreedOn": "2020-08-05T19:34:32.2740963Z",
"status": "agreed",
"versionId": "f19f1935-xxxx-xxxx-xxxx-fe8d93d78815",
"versionNumber": 1,
"settings": {
"hasDeclineButton": false,
"actionButtonAlignment": "left",
"mustRead": true,
"mustView": true,
"requireAccept": true,
"downloadable": true,
"sendToEmail": false,
"format": "modal",
"documentDisplay": "document"
}
},
{
"accountId": "a56df5fc-xxxx-xxxx-xxxx-f64dc8ab421e",
"clickwrapId": "66a85a21-xxxx-xxxx-xxxx-6f9dd48c8483",
"clientUserId": "anyemail2@anyemail.com",
"agreementId": "0effacc8-xxxx-xxxx-xxxx-e9d06b788c1e",
"documents": [],
"createdOn": "2020-08-05T19:12:14.4523197Z",
"agreedOn": "2020-08-05T19:12:23.7804538Z",
"status": "agreed",
"versionId": "f19f1935-xxxx-xxxx-xxxx-fe8d93d78815",
"versionNumber": 1,
"settings": {
"hasDeclineButton": false,
"actionButtonAlignment": "left",
"mustRead": true,
"mustView": true,
"requireAccept": true,
"downloadable": true,
"sendToEmail": false,
"format": "modal",
"documentDisplay": "document"
}
}
],
"beginCreatedOn": "2019-01-01T00:00:00Z",
"page": 0,
"pageSize": 40,
"minimumPagesRemaining": 0
}

Next steps